<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2
        id="jhi-position-irreguliere-heading"
        data-cy="PositionIrreguliereCreateUpdateHeading"
        jhiTranslate="gestionPersonnel3App.positionIrreguliere.home.createOrEditLabel"
      >
        Créer ou éditer un Position Irreguliere
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.positionIrreguliere.dateDebut" for="field_dateDebut"
            >Date Debut</label
          >
          <div class="input-group">
            <input
              id="field_dateDebut"
              data-cy="dateDebut"
              type="text"
              class="form-control"
              name="dateDebut"
              ngbDatepicker
              #dateDebutDp="ngbDatepicker"
              formControlName="dateDebut"
            />
            <button type="button" class="btn btn-secondary" (click)="dateDebutDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.positionIrreguliere.dateFin" for="field_dateFin">Date Fin</label>
          <div class="input-group">
            <input
              id="field_dateFin"
              data-cy="dateFin"
              type="text"
              class="form-control"
              name="dateFin"
              ngbDatepicker
              #dateFinDp="ngbDatepicker"
              formControlName="dateFin"
            />
            <button type="button" class="btn btn-secondary" (click)="dateFinDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="row mb-3">
          <label
            class="form-label"
            jhiTranslate="gestionPersonnel3App.positionIrreguliere.naturePositionIrreguliere"
            for="field_naturePositionIrreguliere"
            >Nature Position Irreguliere</label
          >
          <select
            class="form-control"
            id="field_naturePositionIrreguliere"
            data-cy="naturePositionIrreguliere"
            name="naturePositionIrreguliere"
            formControlName="naturePositionIrreguliere"
            [compareWith]="compareNaturePositionIrreguliere"
          >
            <option [ngValue]="null"></option>
            <option
              [ngValue]="naturePositionIrreguliereOption"
              *ngFor="let naturePositionIrreguliereOption of naturePositionIrregulieresSharedCollection"
            >
              {{ naturePositionIrreguliereOption.id }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.positionIrreguliere.employe" for="field_employe">Employe</label>
          <select
            class="form-control"
            id="field_employe"
            data-cy="employe"
            name="employe"
            formControlName="employe"
            [compareWith]="compareEmploye"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="employeOption" *ngFor="let employeOption of employesSharedCollection">{{ employeOption.id }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
